##
## EPITECH PROJECT, 2017
## Makefile
## File description:
## Makes unit tests using criterion
##

SRC_UT_DIR	=	$(realpath .)

SRC_UT	=	$(SRC_UT_DIR)/tests_104intersection.c

SRC_DIR =	$(realpath ../src)

SRC	=	$(SRC_DIR)/

OBJ	=	$(SRC:.c=.o) $(SRC_UT:.c=.o)

CFLAGS	=	-Wall -Wextra --coverage -I../include/

LDFLAGS	=	-lcriterion -lgcov

NAME	=	units

all:	$(NAME)

$(NAME):	$(OBJ)
	cc -o $(NAME) $(OBJ) $(LDFLAGS) -lm

clean:
	rm -f $(OBJ)

fclean:	clean
	rm -f $(SRC_UT_DIR)/$(NAME)

re:	fclean all
